package jtatest;

import org.springframework.context.support.AbstractApplicationContext;
import org.springframework.context.support.FileSystemXmlApplicationContext;

public class Consumer {
    
    public static void main(String[] args) throws Exception {
        AbstractApplicationContext ctx = new FileSystemXmlApplicationContext("config/beans.xml");
        ctx.registerShutdownHook();
        ctx.getBean("MessageListenerContainer");
        
        try {
            System.out.println("waiting for messages...");
            while (true) Thread.sleep(1000);
        } catch (Exception ex) {
            ex.printStackTrace();
        }

        System.exit(0);
    }

}
